# std::match_results::empty

From cppreference.com
< cpp‎ | regex‎ | match results

bool empty() const; |  | (since C++11)

Checks whether the match was successful.

### Parameters

(none)

### Return value

size() == 0 (false if `*this` represents the result of a successful match, true otherwise)

### Exceptions

(none)

### Complexity

Constant.

### See also

size | returns the number of matches in a fully-established result state (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/regex/match_results/empty&oldid=83735"